### Function

# Dex network_monitor_can_reach

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_network_monitor_can_reach (
      GNetworkMonitor* monitor,
      GSocketConnectable* connectable
    )

#### Description [src]

Wraps `g_network_monitor_can_reach_async()`.

Available since: 1.2

#### Parameters

`monitor`

  Type: `GNetworkMonitor`

  A `GNetworkMonitor`.

  The data is owned by the caller of the function.

`connectable`

  Type: `GSocketConnectable`

  A `GSocketConnectable`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `TRUE` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.